ControlJob (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.control.server.session.ControlJob class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.control.server.session
Class ControlJob

    java.lang.Object
      org.hyperic.hq.scheduler.server.session.BaseJob
          org.hyperic.hq.control.server.session.ControlJob

All Implemented Interfaces:
  org.quartz.Job

Direct Known Subclasses:
  ControlActionGroupJob, ControlActionJob

    public abstract class ControlJob

extends BaseJob

Field Summary
`protected static int` | `JOB_WAIT_INTERVAL`
`protected org.apache.commons.logging.Log` | `log`
`static java.lang.String` | `PROP_ACTION`
`static java.lang.String` | `PROP_ARGS`

Fields inherited from class org.hyperic.hq.scheduler.server.session.BaseJob
`manager, PROP_DESCRIPTION, PROP_ID, PROP_ORDER, PROP_SCHEDULED, PROP_SCHEDULESTRING, PROP_SUBJECT, PROP_TYPE`

Constructor Summary
`ControlJob()`

Method Summary
`protected java.lang.Integer` | `doAgentControlCommand(AppdefEntityID id, AppdefEntityID gid, java.lang.Integer batchId, AuthzSubject subject, java.util.Date dateScheduled, java.lang.Boolean scheduled, java.lang.String description, java.lang.String action, java.lang.String args)` Do a control command on a single appdef entity

Methods inherited from class org.hyperic.hq.scheduler.server.session.BaseJob
`execute, executeInSession, getOrder, getSubject, getSubjectManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JOB_WAIT_INTERVAL

    protected static final int JOB_WAIT_INTERVAL

See Also:
  Constant Field Values

### PROP_ACTION

    public static final java.lang.String PROP_ACTION

See Also:
  Constant Field Values

### PROP_ARGS

    public static final java.lang.String PROP_ARGS

See Also:
  Constant Field Values

### log

    protected org.apache.commons.logging.Log log

Constructor Detail

### ControlJob

    public ControlJob()

Method Detail

### doAgentControlCommand

    protected java.lang.Integer doAgentControlCommand(AppdefEntityID id,
                                                      AppdefEntityID gid,
                                                      java.lang.Integer batchId,
                                                      AuthzSubject subject,
                                                      java.util.Date dateScheduled,
                                                      java.lang.Boolean scheduled,
                                                      java.lang.String description,
                                                      java.lang.String action,
                                                      java.lang.String args)
                                               throws PluginException

  Do a control command on a single appdef entity

  Returns:
    The job id
  Throws:
    `PluginException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.